%define	name	units
%define version 1.86
%define release %mkrel 2

Summary:	A utility for converting amounts from one unit to another
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.gnu.org/pub/gnu/units/%{name}-%{version}.tar.bz2
Url:		http://www.gnu.org/software/units/units.html
License:	GPL
Group:		Office
BuildRequires:	ncurses-devel readline-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The ‘units' program converts quantities expressed in various scales to
their equivalents in other scales. The ‘units' program can handle
multiplicative scale changes as well as nonlinear conversions such as
Fahrenheit to Celsius. Temperature and other nonlinear conversions
are handled using a functional notation.

%prep
%setup -q

%build
%configure
%make

make check

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/units
%{_datadir}/units.dat
%{_infodir}/*
%{_mandir}/man1/units.1*


%changelog
* Wed Mar 14 2007 Claudio Matsuoka <claudio@mandriva.com> 1.86-2mdv2007.1
+ Revision: 143815
- Fixed description to match actual package features (closes: #26243)

* Thu Jan 18 2007 Gustavo De Nardin <gustavodn@mandriva.com> 1.86-1mdv2007.1
+ Revision: 110471
- new version 1.86
- removed DESTDIR patch, made unnecessary by upstream changes
- removed unneeded and old gpm-devel from BuildRequires



* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.85-2mdk
- Rebuild

* Tue May 31 2005 Gtz Waschk <waschk@mandriva.org> 1.85-1mdk
- drop patches 2,3
- New release 1.85

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.80-4mdk
- rebuild for new readline
- fix summary-ended-with-dot

* Tue Jun 29 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.80-3mdk
- fix buildrequires
- P3 from fedora:
	o fix parsecs #96982
- cosmetics

* Mon Jul 14 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.80-2mdk
- fix gcc-3.3 build (P2)

* Wed Jan 15 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.80-1mdk
- Add URL.
- Bump to version 1.80.

* Tue Jul 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.74-5mdk
- rebuild for new readline

* Sat Feb 23 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.74-4mdk
- corrected patch0 to make the install work

* Tue Nov 20 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.74-3mdk
- DESTDIR support.

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.74-2mdk
- Sanity build for 8.1.

* Thu Jun 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.74-1mdk
- Bump units 1.74 into cooker.
- s/Copyright/License/;

* Mon Dec 25 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.55-9mdk
- fix BuildRequires

* Thu Dec 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.55-8mdk
- Recompile with full optimisations.

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.55-7mdk
- Compile as -O2.
- Change BuildRequires: to the new lib policy.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.55-6mdk
- automatically added BuildRequires


* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.55-5mdk
- macros, BM

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.55-4mdk
- Clean up specs.
- Use makeinstall macros.

* Sat Mar 25 2000 Daouda Lo	<daouda@mandrakesoft.com> 1.55-3mdk
- fix group

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Tue Aug 17 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 1.55
- update source URL
- bzip2 man page
- FHS compliance
- install info page to info dir

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- units.lib corrections (problem #685)

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
